# PSF-LoginServer - master - net.psforever.services.GenericEventBus
PSF - LoginServer - master - net.psforever.services.GenericEventBus
Keywords: PSF LoginServer master net.psforever.services.GenericEventBus

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package account
  Definition Classes
    services
-  package avatar
  Definition Classes
    services
-  package chat
  Definition Classes
    services
-  package galaxy
  Definition Classes
    services
-  package hart
  Definition Classes
    services
-  package local
  Definition Classes
    services
-  package properties
  Definition Classes
    services
-  package support
  Definition Classes
    services
-  package teamwork
  Definition Classes
    services
-  package vehicle
  Definition Classes
    services
- GenericEventBus
- GenericEventBusMsg
- InterstellarClusterService
- RemoverActor
- Service
- ServiceManager

c

net.psforever.services

# GenericEventBus

###

#### class GenericEventBus[A <: GenericEventBusMsg] extends ActorEventBus with SubchannelClassification

Source
  Service.scala

Linear Supertypes
SubchannelClassification, ActorEventBus, EventBus, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenericEventBus
2. SubchannelClassification
3. ActorEventBus
4. EventBus
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new GenericEventBus()

### Type Members

1.  type Classifier = String
   Definition Classes
     GenericEventBus → EventBus
2.  type Event = A
   Definition Classes
     GenericEventBus → EventBus
3.  type Subscriber = ActorRef
   Definition Classes
     ActorEventBus → EventBus

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def classify(event: Event): Classifier
   Attributes
     protected
   Definition Classes
     GenericEventBus → SubchannelClassification
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  def compareSubscribers(a: ActorRef, b: ActorRef): Int
   Attributes
     protected
   Definition Classes
     ActorEventBus
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def publish(event: Event, subscriber: Subscriber): Unit
    Attributes
      protected
    Definition Classes
      GenericEventBus → SubchannelClassification
18.  def publish(event: Event): Unit
    Definition Classes
      SubchannelClassification
19.  def subclassification: Subclassification[Classifier]
    Attributes
      protected
    Definition Classes
      GenericEventBus → SubchannelClassification
20.  def subscribe(subscriber: Subscriber, to: Classifier): Boolean
    Definition Classes
      SubchannelClassification
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  def unsubscribe(subscriber: Subscriber): Unit
    Definition Classes
      SubchannelClassification
24.  def unsubscribe(subscriber: Subscriber, from: Classifier): Boolean
    Definition Classes
      SubchannelClassification
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from SubchannelClassification

### Inherited from ActorEventBus

### Inherited from EventBus

### Inherited from AnyRef

### Inherited from Any

### Ungrouped